NumOfFeature.NumOfRelation (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.maltparser.core.syntaxgraph.feature
Enum NumOfFeature.NumOfRelation

    java.lang.Object
      java.lang.Enum<NumOfFeature.NumOfRelation>
          org.maltparser.core.syntaxgraph.feature.NumOfFeature.NumOfRelation

All Implemented Interfaces:
  Serializable, Comparable<NumOfFeature.NumOfRelation>

Enclosing class:
  NumOfFeature

    public static enum NumOfFeature.NumOfRelation

extends Enum<NumOfFeature.NumOfRelation>

Enum Constant Summary
`DEP`
`LDEP`
`RDEP`

Method Summary
`static NumOfFeature.NumOfRelation` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static NumOfFeature.NumOfRelation[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LDEP

    public static final NumOfFeature.NumOfRelation LDEP

### RDEP

    public static final NumOfFeature.NumOfRelation RDEP

### DEP

    public static final NumOfFeature.NumOfRelation DEP

Method Detail

### values

    public static NumOfFeature.NumOfRelation[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (NumOfFeature.NumOfRelation c : NumOfFeature.NumOfRelation.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static NumOfFeature.NumOfRelation valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.